# GENESIS toolkit for analysing coherent structures in atmospheric flows

![genesis](https://github.com/leifdenby/genesis/workflows/genesis/badge.svg)
[![DOI](https://zenodo.org/badge/DOI/10.5281/zenodo.3956423.svg)](https://doi.org/10.5281/zenodo.3956423)


This repository contains the GENESIS toolkit developed during the
[GENESIS](http://homepages.see.leeds.ac.uk/~earlcd/GENESIS/) project, which
enables the study of coherent structures in atmospheric flows. It is designed
to for studying coherent boundary layer structures which trigger convective
clouds.

<img src="images/RICO_cross-section_annotated.png" alt="Annotated cross-section
from RICO simulation with UCLALES]" width=60% />


## Installation

You can install the newest release from [pypi](https://pypi.org/) using `pip`:

```bash
python -m pip install cloud-genesis
```

## Usage

The easiest way to get started with genesis is to check out the training
material created for the [COMPLETE
workshop](https://github.com/leifdenby/genesis-complete-workshop-2019).
